Class | Net::IMAP::PlainAuthenticator
In: | net/imap.rb
Parent: | Object

Authenticator for the "PLAIN" authentication type. See authenticate().

### Methods

new process

### Public Class methods

new(user, password)

[Source]

    # File net/imap.rb, line 3045
          def initialize(user, password)
            @user = user
            @password = password
          end

### Public Instance methods

process(data)

[Source]

    # File net/imap.rb, line 3039
          def process(data)
            return "\0#{@user}\0#{@password}"
          end

[Validate]